For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Channels
      • GETGet channels
    • Orders
    • Products
    • Inventory
    • Receiving
    • Returns
    • Webhooks
    • Locations
    • OpenAPI spec
LogoLogo
API ReferenceChannels

Get channels

||View as Markdown|
GET
/2.0/channel
GET
/2.0/channel
$curl https://api.shipbob.com/2.0/channel \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "application_name": "SMA",
4 "id": 128944,
5 "name": "Privileged Access Token Wednesday, July 9, 2025",
6 "scopes": [
7 "pricing_read",
8 "fulfillments_write",
9 "returns_read",
10 "receiving_read",
11 "fulfillments_read",
12 "returns_write",
13 "locations_write",
14 "channels_read",
15 "webhooks_write",
16 "locations_read",
17 "orders_write",
18 "webhooks_read",
19 "inventory_read",
20 "billing_read",
21 "receiving_write",
22 "inventory_write",
23 "orders_read",
24 "products_read",
25 "products_write"
26 ]
27 },
28 {
29 "application_name": "ShipBob",
30 "id": 128943,
31 "name": "ShipBob Default",
32 "scopes": [
33 "pricing_read",
34 "returns_read",
35 "receiving_read",
36 "fulfillments_read",
37 "channels_read",
38 "locations_read",
39 "webhooks_read",
40 "inventory_read",
41 "billing_read",
42 "orders_read",
43 "products_read"
44 ]
45 }
46]
Was this page helpful?
Previous

Channels

Next

Orders

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Response

Success
application_namestring or null
Name of the application that owns the channel
idinteger
Unique id of the channel
namestring or null
Name of the channel
scopeslist of strings or null
Array of permissions granted for the channel

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error